/*******************************************************************************
* File Name: EF.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EF_H) /* Pins EF_H */
#define CY_PINS_EF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EF_Write(uint8 value) ;
void    EF_SetDriveMode(uint8 mode) ;
uint8   EF_ReadDataReg(void) ;
uint8   EF_Read(void) ;
uint8   EF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EF_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EF_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EF_DM_RES_UP          PIN_DM_RES_UP
#define EF_DM_RES_DWN         PIN_DM_RES_DWN
#define EF_DM_OD_LO           PIN_DM_OD_LO
#define EF_DM_OD_HI           PIN_DM_OD_HI
#define EF_DM_STRONG          PIN_DM_STRONG
#define EF_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EF_MASK               EF__MASK
#define EF_SHIFT              EF__SHIFT
#define EF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EF_PS                     (* (reg8 *) EF__PS)
/* Data Register */
#define EF_DR                     (* (reg8 *) EF__DR)
/* Port Number */
#define EF_PRT_NUM                (* (reg8 *) EF__PRT) 
/* Connect to Analog Globals */                                                  
#define EF_AG                     (* (reg8 *) EF__AG)                       
/* Analog MUX bux enable */
#define EF_AMUX                   (* (reg8 *) EF__AMUX) 
/* Bidirectional Enable */                                                        
#define EF_BIE                    (* (reg8 *) EF__BIE)
/* Bit-mask for Aliased Register Access */
#define EF_BIT_MASK               (* (reg8 *) EF__BIT_MASK)
/* Bypass Enable */
#define EF_BYP                    (* (reg8 *) EF__BYP)
/* Port wide control signals */                                                   
#define EF_CTL                    (* (reg8 *) EF__CTL)
/* Drive Modes */
#define EF_DM0                    (* (reg8 *) EF__DM0) 
#define EF_DM1                    (* (reg8 *) EF__DM1)
#define EF_DM2                    (* (reg8 *) EF__DM2) 
/* Input Buffer Disable Override */
#define EF_INP_DIS                (* (reg8 *) EF__INP_DIS)
/* LCD Common or Segment Drive */
#define EF_LCD_COM_SEG            (* (reg8 *) EF__LCD_COM_SEG)
/* Enable Segment LCD */
#define EF_LCD_EN                 (* (reg8 *) EF__LCD_EN)
/* Slew Rate Control */
#define EF_SLW                    (* (reg8 *) EF__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EF_PRTDSI__CAPS_SEL       (* (reg8 *) EF__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EF_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EF__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EF_PRTDSI__OE_SEL0        (* (reg8 *) EF__PRTDSI__OE_SEL0) 
#define EF_PRTDSI__OE_SEL1        (* (reg8 *) EF__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EF_PRTDSI__OUT_SEL0       (* (reg8 *) EF__PRTDSI__OUT_SEL0) 
#define EF_PRTDSI__OUT_SEL1       (* (reg8 *) EF__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EF_PRTDSI__SYNC_OUT       (* (reg8 *) EF__PRTDSI__SYNC_OUT) 


#if defined(EF__INTSTAT)  /* Interrupt Registers */

    #define EF_INTSTAT                (* (reg8 *) EF__INTSTAT)
    #define EF_SNAP                   (* (reg8 *) EF__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EF_H */


/* [] END OF FILE */
