/*******************************************************************************
* File Name: IP_VTG.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IP_VTG_H) /* Pins IP_VTG_H */
#define CY_PINS_IP_VTG_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "IP_VTG_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    IP_VTG_Write(uint8 value) ;
void    IP_VTG_SetDriveMode(uint8 mode) ;
uint8   IP_VTG_ReadDataReg(void) ;
uint8   IP_VTG_Read(void) ;
uint8   IP_VTG_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define IP_VTG_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define IP_VTG_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define IP_VTG_DM_RES_UP          PIN_DM_RES_UP
#define IP_VTG_DM_RES_DWN         PIN_DM_RES_DWN
#define IP_VTG_DM_OD_LO           PIN_DM_OD_LO
#define IP_VTG_DM_OD_HI           PIN_DM_OD_HI
#define IP_VTG_DM_STRONG          PIN_DM_STRONG
#define IP_VTG_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define IP_VTG_MASK               IP_VTG__MASK
#define IP_VTG_SHIFT              IP_VTG__SHIFT
#define IP_VTG_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define IP_VTG_PS                     (* (reg8 *) IP_VTG__PS)
/* Data Register */
#define IP_VTG_DR                     (* (reg8 *) IP_VTG__DR)
/* Port Number */
#define IP_VTG_PRT_NUM                (* (reg8 *) IP_VTG__PRT) 
/* Connect to Analog Globals */                                                  
#define IP_VTG_AG                     (* (reg8 *) IP_VTG__AG)                       
/* Analog MUX bux enable */
#define IP_VTG_AMUX                   (* (reg8 *) IP_VTG__AMUX) 
/* Bidirectional Enable */                                                        
#define IP_VTG_BIE                    (* (reg8 *) IP_VTG__BIE)
/* Bit-mask for Aliased Register Access */
#define IP_VTG_BIT_MASK               (* (reg8 *) IP_VTG__BIT_MASK)
/* Bypass Enable */
#define IP_VTG_BYP                    (* (reg8 *) IP_VTG__BYP)
/* Port wide control signals */                                                   
#define IP_VTG_CTL                    (* (reg8 *) IP_VTG__CTL)
/* Drive Modes */
#define IP_VTG_DM0                    (* (reg8 *) IP_VTG__DM0) 
#define IP_VTG_DM1                    (* (reg8 *) IP_VTG__DM1)
#define IP_VTG_DM2                    (* (reg8 *) IP_VTG__DM2) 
/* Input Buffer Disable Override */
#define IP_VTG_INP_DIS                (* (reg8 *) IP_VTG__INP_DIS)
/* LCD Common or Segment Drive */
#define IP_VTG_LCD_COM_SEG            (* (reg8 *) IP_VTG__LCD_COM_SEG)
/* Enable Segment LCD */
#define IP_VTG_LCD_EN                 (* (reg8 *) IP_VTG__LCD_EN)
/* Slew Rate Control */
#define IP_VTG_SLW                    (* (reg8 *) IP_VTG__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define IP_VTG_PRTDSI__CAPS_SEL       (* (reg8 *) IP_VTG__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define IP_VTG_PRTDSI__DBL_SYNC_IN    (* (reg8 *) IP_VTG__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define IP_VTG_PRTDSI__OE_SEL0        (* (reg8 *) IP_VTG__PRTDSI__OE_SEL0) 
#define IP_VTG_PRTDSI__OE_SEL1        (* (reg8 *) IP_VTG__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define IP_VTG_PRTDSI__OUT_SEL0       (* (reg8 *) IP_VTG__PRTDSI__OUT_SEL0) 
#define IP_VTG_PRTDSI__OUT_SEL1       (* (reg8 *) IP_VTG__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define IP_VTG_PRTDSI__SYNC_OUT       (* (reg8 *) IP_VTG__PRTDSI__SYNC_OUT) 


#if defined(IP_VTG__INTSTAT)  /* Interrupt Registers */

    #define IP_VTG_INTSTAT                (* (reg8 *) IP_VTG__INTSTAT)
    #define IP_VTG_SNAP                   (* (reg8 *) IP_VTG__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins IP_VTG_H */


/* [] END OF FILE */
