/*******************************************************************************
* File Name: Keys.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Keys_H) /* Pins Keys_H */
#define CY_PINS_Keys_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Keys_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Keys__PORT == 15 && ((Keys__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Keys_Write(uint8 value) ;
void    Keys_SetDriveMode(uint8 mode) ;
uint8   Keys_ReadDataReg(void) ;
uint8   Keys_Read(void) ;
uint8   Keys_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Keys_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Keys_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Keys_DM_RES_UP          PIN_DM_RES_UP
#define Keys_DM_RES_DWN         PIN_DM_RES_DWN
#define Keys_DM_OD_LO           PIN_DM_OD_LO
#define Keys_DM_OD_HI           PIN_DM_OD_HI
#define Keys_DM_STRONG          PIN_DM_STRONG
#define Keys_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Keys_MASK               Keys__MASK
#define Keys_SHIFT              Keys__SHIFT
#define Keys_WIDTH              2u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Keys_PS                     (* (reg8 *) Keys__PS)
/* Data Register */
#define Keys_DR                     (* (reg8 *) Keys__DR)
/* Port Number */
#define Keys_PRT_NUM                (* (reg8 *) Keys__PRT) 
/* Connect to Analog Globals */                                                  
#define Keys_AG                     (* (reg8 *) Keys__AG)                       
/* Analog MUX bux enable */
#define Keys_AMUX                   (* (reg8 *) Keys__AMUX) 
/* Bidirectional Enable */                                                        
#define Keys_BIE                    (* (reg8 *) Keys__BIE)
/* Bit-mask for Aliased Register Access */
#define Keys_BIT_MASK               (* (reg8 *) Keys__BIT_MASK)
/* Bypass Enable */
#define Keys_BYP                    (* (reg8 *) Keys__BYP)
/* Port wide control signals */                                                   
#define Keys_CTL                    (* (reg8 *) Keys__CTL)
/* Drive Modes */
#define Keys_DM0                    (* (reg8 *) Keys__DM0) 
#define Keys_DM1                    (* (reg8 *) Keys__DM1)
#define Keys_DM2                    (* (reg8 *) Keys__DM2) 
/* Input Buffer Disable Override */
#define Keys_INP_DIS                (* (reg8 *) Keys__INP_DIS)
/* LCD Common or Segment Drive */
#define Keys_LCD_COM_SEG            (* (reg8 *) Keys__LCD_COM_SEG)
/* Enable Segment LCD */
#define Keys_LCD_EN                 (* (reg8 *) Keys__LCD_EN)
/* Slew Rate Control */
#define Keys_SLW                    (* (reg8 *) Keys__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Keys_PRTDSI__CAPS_SEL       (* (reg8 *) Keys__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Keys_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Keys__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Keys_PRTDSI__OE_SEL0        (* (reg8 *) Keys__PRTDSI__OE_SEL0) 
#define Keys_PRTDSI__OE_SEL1        (* (reg8 *) Keys__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Keys_PRTDSI__OUT_SEL0       (* (reg8 *) Keys__PRTDSI__OUT_SEL0) 
#define Keys_PRTDSI__OUT_SEL1       (* (reg8 *) Keys__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Keys_PRTDSI__SYNC_OUT       (* (reg8 *) Keys__PRTDSI__SYNC_OUT) 


#if defined(Keys__INTSTAT)  /* Interrupt Registers */

    #define Keys_INTSTAT                (* (reg8 *) Keys__INTSTAT)
    #define Keys_SNAP                   (* (reg8 *) Keys__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Keys_H */


/* [] END OF FILE */
