/*******************************************************************************
* File Name: OD.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OD_H) /* Pins OD_H */
#define CY_PINS_OD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OD_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 OD__PORT == 15 && ((OD__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    OD_Write(uint8 value) ;
void    OD_SetDriveMode(uint8 mode) ;
uint8   OD_ReadDataReg(void) ;
uint8   OD_Read(void) ;
uint8   OD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OD_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OD_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OD_DM_RES_UP          PIN_DM_RES_UP
#define OD_DM_RES_DWN         PIN_DM_RES_DWN
#define OD_DM_OD_LO           PIN_DM_OD_LO
#define OD_DM_OD_HI           PIN_DM_OD_HI
#define OD_DM_STRONG          PIN_DM_STRONG
#define OD_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OD_MASK               OD__MASK
#define OD_SHIFT              OD__SHIFT
#define OD_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OD_PS                     (* (reg8 *) OD__PS)
/* Data Register */
#define OD_DR                     (* (reg8 *) OD__DR)
/* Port Number */
#define OD_PRT_NUM                (* (reg8 *) OD__PRT) 
/* Connect to Analog Globals */                                                  
#define OD_AG                     (* (reg8 *) OD__AG)                       
/* Analog MUX bux enable */
#define OD_AMUX                   (* (reg8 *) OD__AMUX) 
/* Bidirectional Enable */                                                        
#define OD_BIE                    (* (reg8 *) OD__BIE)
/* Bit-mask for Aliased Register Access */
#define OD_BIT_MASK               (* (reg8 *) OD__BIT_MASK)
/* Bypass Enable */
#define OD_BYP                    (* (reg8 *) OD__BYP)
/* Port wide control signals */                                                   
#define OD_CTL                    (* (reg8 *) OD__CTL)
/* Drive Modes */
#define OD_DM0                    (* (reg8 *) OD__DM0) 
#define OD_DM1                    (* (reg8 *) OD__DM1)
#define OD_DM2                    (* (reg8 *) OD__DM2) 
/* Input Buffer Disable Override */
#define OD_INP_DIS                (* (reg8 *) OD__INP_DIS)
/* LCD Common or Segment Drive */
#define OD_LCD_COM_SEG            (* (reg8 *) OD__LCD_COM_SEG)
/* Enable Segment LCD */
#define OD_LCD_EN                 (* (reg8 *) OD__LCD_EN)
/* Slew Rate Control */
#define OD_SLW                    (* (reg8 *) OD__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OD_PRTDSI__CAPS_SEL       (* (reg8 *) OD__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OD_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OD__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OD_PRTDSI__OE_SEL0        (* (reg8 *) OD__PRTDSI__OE_SEL0) 
#define OD_PRTDSI__OE_SEL1        (* (reg8 *) OD__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OD_PRTDSI__OUT_SEL0       (* (reg8 *) OD__PRTDSI__OUT_SEL0) 
#define OD_PRTDSI__OUT_SEL1       (* (reg8 *) OD__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OD_PRTDSI__SYNC_OUT       (* (reg8 *) OD__PRTDSI__SYNC_OUT) 


#if defined(OD__INTSTAT)  /* Interrupt Registers */

    #define OD_INTSTAT                (* (reg8 *) OD__INTSTAT)
    #define OD_SNAP                   (* (reg8 *) OD__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_OD_H */


/* [] END OF FILE */
